<?php
/*
 * Tutorial: Big Image Handling in WordPress
 * URL: https://www.rafaelcardero.com/tutorials/big-image-handling-in-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Disable the scaling
 * ---------------------------------------------------------------------------*/

add_filter('big_image_size_threshold', '__return_false');

/* -----------------------------------------------------------------------------
 * - Adjust the threshold
 * ---------------------------------------------------------------------------*/

/*
 * Sets the threshold used in the scaling of big images.
 */
function ns_set_big_image_size_threshold(){
    $custom_threshold = 5000; // 5000 pixels, adjust as desired
    return $custom_threshold;
}
add_filter('big_image_size_threshold', 'ns_set_big_image_size_threshold', 10, 0);